import logging 
from util import run_op

class User:
    def __init__(self, name, has_sudo=False):
        self.name = name 
        self.has_sudo = has_sudo

class UserManager:

    def __init__():
        pass

    def setup_user(self, user: User):
        add_user(user)
        if user.has_sudo:
            add_user_to_sudo(user)
        
    def add_user(self, user: User):
        op = f"adduser {user.name}"
        logging.info(f"Adding user: {op}")
        run_op(op)

    def add_user_to_sudo(self, user: User):
        op = f"usermod -aG sudo {user.name}"
        logging.info(f"Adding user to sudo: {op}")
        run_op(op)